Bug 200079 - Builds without Cyrus SASL
Builds without Cyrus SASL
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-25 08:11 EDT by Kaj J. Niemi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 04:45:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
diff to postfix.spec (877 bytes, patch)
2006-07-25 08:11 EDT, Kaj J. Niemi
no flags Details | Diff
added Dovecot SASL rpmbuild option, removed Cyrus SASL v1 rpmbuild option (3.88 KB, patch)
2006-07-25 15:41 EDT, Alexander Dalloz
no flags Details | Diff

  None (edit)
Description Kaj J. Niemi 2006-07-25 08:11:33 EDT
Description of problem:
Due build related changes postfix-2.3.0-1 is missing Cyrus SASL. Diff to .spec
is attached.

Actually, it would be nice to build postfix with Dovecot SASL instead of Cyrus
SASL as the former is easier to extend.... 


Thanks. :)
Comment 1 Kaj J. Niemi 2006-07-25 08:11:33 EDT
Created attachment 132973 [details]
diff to postfix.spec
Comment 2 Alexander Dalloz 2006-07-25 15:41:37 EDT
Created attachment 133016 [details]
added Dovecot SASL rpmbuild option, removed Cyrus SASL v1 rpmbuild option
Comment 3 Alexander Dalloz 2006-07-25 15:42:24 EDT
I vote against building Postfix with Dovecot SASL support instead of Cyrus-SASL
support as actually it will strip Postfix client SMTP AUTH; see SASL_README. As
both SASL implementations are exclusive within Postfix we have to keep it build
against Cyrus-SASL.
I made a diff to the current postfix.spec with support for a Dovecot SASL
rpmbuild. Dropped Cyrus-SASL version 1 rpmbuild options as it is obsolete.
Comment 4 Thomas Woerner 2006-07-31 04:45:49 EDT
Fixed in rawhide in postfix-2.3.1-1 or newer.

Note You need to log in before you can comment on or make changes to this bug.